#!/bin/sh

FILE="mytv.rm"
AD="teatime"
CS="320x240"

if [ "$1" != "" ]; then
  AD="$1"
fi

if [ "$2" != "" ]; then
  CS="$2"
fi

if [ "$3" != "" ]; then
  /usr/bin/v4lctl setchannel $3
fi

if [ "$4" != "" ]; then
  FILE="$4"
fi

/usr/bin/v4lctl setnorm NTSC
/usr/bin/v4lctl setinput Television
/usr/bin/v4lctl setattr 'automute' off
/usr/bin/v4lctl volume mute off
/usr/bin/v4lctl volume 15
/usr/bin/v4lctl setattr 'audio mode' stereo

nohup /usr/local/bin/producer -ac 0 -ap 0 -vc 0 -vp 2 -cs "$CS" -ad "$AD" -sp ":livetv@localhost:30001/$FILE" > /dev/null 2>&1 &

