<?php

if (!defined('IN_MYTV')) {
    $uri = $_SERVER['REQUEST_URI'];
    $url = dirname($uri);
    header('Location: '.$url);
    exit;
}

function ShowLogin($username, $errmsg)
{
    global $smarty, $lang;

    if ($errmsg != '') {
        $smarty->assign(array(
                'ERROR_MESSAGE' => $errmsg,
                'ERROR_BEGIN' => '',
                'ERROR_END' => '',
                ));
    }
    else {
        $smarty->assign(array(
                'ERROR_MESSAGE' => '',
                'ERROR_BEGIN' => '<!--',
                'ERROR_END' => '-->',
                ));
    }

    $smarty->assign(array(
            'ENCODING' => ENCODING,
            'MYTV_VER' => MYTV_VER,
            'LANG' => $lang['LANG'],
            'TITLE' => $lang['TITLE'],
            'DESC_LOGIN' => $lang['DESC_LOGIN'],
            'DESC_USER' => $lang['DESC_USER'],
            'DESC_PASS' => $lang['DESC_PASS'],
            'DESC_LOGIN_BTN' => $lang['DESC_LOGIN_BTN'],
            'DESC_RESET_BTN' => $lang['DESC_RESET_BTN'],
            'USERNAME' => $username
            ));
    $smarty->display('login.tpl');
    return;
}

?>
